﻿@model VersionDetailsModel
@using SiteGuide.Service
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Identifiers
@using SiteGuide.Web.Helpers

@{
    ViewData["Title"] = $"Version {Model.ThisVersion.Id}" + ((Model.CompareToVersion == null || Model.ThisVersion.Id == Model.CompareToVersion.Id + 1) ? "" : $" compared to version {Model.CompareToVersion.Id}");
}

<div class="d-flex justify-content-between">
    <a class="btn btn-primary @(Model.PreviousVersionExists ? "" : "disabled")" role="button" aria-disabled="@(Model.PreviousVersionExists ? "false" : "true")" asp-action="Details" asp-route-id="@(Model.CompareToVersion?.Id)">Previous</a>
    <a class="btn btn-primary" asp-action="Index">Version Index</a>
    <a class="btn btn-primary @(Model.NextVersionExists ? "" : "disabled")" role="button" aria-disabled="@(Model.NextVersionExists ? "false" : "true")" asp-action="Details" asp-route-id="@(Model.ThisVersion.Id + 1)">Next</a>
</div>

@if ((Model.CompareToVersion == null || Model.ThisVersion.Id == Model.CompareToVersion.Id + 1))
{
    <div class="row">
        <div class="col">
            <br />
            <div class="float-right">
                <a class="btn btn-primary" role="button" asp-controller="Edit" asp-action="@(Model.ThisVersion.AppliedEditVersion.EditId)">View Details of Edit</a>@*TODO: May want to only show if user has access to target?*@
            </div>
            <h1>Version @Model.ThisVersion.Id:</h1>
            <h2><blockquote>@Model.ThisVersion.Comment</blockquote></h2>
        </div>
    </div>
    <partial name="./_EditVersionsSummary" for="ThisVersion.EditVersions" view-data='new ViewDataDictionary(ViewData) { { "ShowComments", true } }' />
}
else
{
    <div class="row">
        <div class="col">
            <h1>Version @Model.ThisVersion.Id compared to version @Model.CompareToVersion.Id</h1>
        </div>
    </div>
    <div class="row">
        <div class="col">
            Version @Model.ThisVersion.Id published @LocalTimeHelper.LocalTime((DateTime)Model.ThisVersion.PublishedTime)
        </div>
    </div>
    <div class="row">
        <div class="col">
            Version @Model.CompareToVersion.Id published @LocalTimeHelper.LocalTime((DateTime)Model.CompareToVersion.PublishedTime)
        </div>
    </div>
}
<br />
<br />
<div>
    <ChangeDetails data-node="@Model.ThisVersion.Id"
                   data-compare-to-version="@Model.CompareToVersion?.Id"
                   data-show-view-buttons="true" />
</div>
